Subject: Re: [bug#53765] [PATCH 01/17] gnu: Add clojure-data-priority-map.

From: Maxime Devos <[email-masked]>
Date: Wed, 09 Feb 2022 12:18:37 +0100

Reily Siegel schreef op do 03-02-2022 om 19:24 [-0500]:
> conj/peek/pop operations

What's ‘conj’ here?  While this term might make sense to Clojure
people, it is rather Clojure-specific and hence isn't meaningful to a
wide audience -- my first thought was that it meant ‘conjugation’
somehow.  Using non-standard terminology makes, say, translating
descriptions harder.  I would use standard terminology here: 'insert'
or 'add' instead of 'conj'.

Alternatively, you could rewrite the description to define a priority
map as a combination of a priority map and a priority queue and go from
there, avoiding naming the actual operations.

Greetings,
Maxime.